#include<bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int n, q, glas, index, hold, res;

    cin >> n >> q;
    hold = n % 2;

    int glasovi[n];
    sort(glasovi, glasovi + n);

    for(int i = 0; i < n; i++) cin >> glasovi[i];

    while(q--){
        cin >> glas;
    }

    cout << 0 << "\n" << 1 << "\n" << 5;

    cout << "\n";
    return 0;
}